Fizzle_Inspect = Fizzle:NewModule("Inspect")
local _G = getfenv(0)

function Fizzle_Inspect:OnInitialize()
	self.db = Fizzle:AcquireDBNamespace("Inspect")
	self.slots = self.slots or {
		{slot = "Head"},
		{slot = "Shoulder"},
		{slot = "Chest"},
		{slot = "Waist"},
		{slot = "Legs"},
		{slot = "Feet"},
		{slot = "Wrist"},
		{slot = "Hands"},
		{slot = "MainHand"},
		{slot = "SecondaryHand"},
		{slot = "Ranged"},
		{slot = "Ammo"},
		{slot = "Neck"},
		{slot = "Back"},
		{slot = "Finger0"},
		{slot = "Finger1"},
		{slot = "Trinket0"},
		{slot = "Trinket1"},
		{slot = "Relic"}
	}
end

function Fizzle_Inspect:OnEnable()
	--self:SecureHook("InspectFrame_OnShow")
	self:RegisterEvent("ADDON_LOADED")
end

function Fizzle_Inspect:CreateBorders()
	for _, item in ipairs(self.slots) do
		-- Create borders
		Fizzle:CreateBorder("Inspect", item.slot, "Fizzspect", false)
	end
	self.booted = true
end

--[[function Fizzle_Inspect:ColourBorder(slot, quality)
	slot:SetVertextColor(r, g, b)
end]]

function Fizzle_Inspect:UpdateBorders()
	for _, i in ipairs(self.slots) do
		local border = _G["Inspect".. i.slot .."Fizzspect"]
		local slot = _G["Inspect".. i.slot .."Slot"]
		if border then
			local quality = GetInventoryItemQuality("target", slot:GetID())
			if quality then
				local r, g, b, _ = GetItemQualityColor(quality)
				border:SetVertexColor(r, g, b)
				border:Show()
			else
				border:Hide()
			end
		end
		--local id, _ = GetInventorySlotInfo(slot:GetID())
		--ChatFrame1:AddMessage(id)
	end

end

function Fizzle_Inspect:ADDON_LOADED()
	if arg1 == "Blizzard_InspectUI" then
		self:SecureHook("InspectFrame_OnShow")
		self:UnregisterEvent("ADDON_LOADED")
		self:InspectFrame_OnShow()
	end
end

function Fizzle_Inspect:InspectFrame_OnShow()
	if not self.booted then
		self:CreateBorders()
	end
	self:UpdateBorders()
end

function Fizzle_Inspect:Test()
	for _, item in ipairs(self.slots) do
		ChatFrame1:AddMessage("Found: ".. item.slot)
	end
end
